Pengiriman dana (Pay-out · Thailand)smilepayz teams Sekitar 3 menit API pay-out wilayah Thailand (THB ). Lihat Payment methods .
Request POST /v2.0/disbursement/pay-out
Request Path: sandbox: https://sandbox-gateway.smilepayz.com/v2.0/disbursement/pay-out production: https://gateway.smilepayz.com/v2.0/disbursement/pay-out
Field Required Type Description Content-TypeM String application/json request body.X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm X-SIGNATUREM String Signature of JSON body (see product Signature doc). X-PARTNER-IDM String Your merchantID (alphanumeric).
Body Parameters Field Required Type Description orderNoM String(32) Merchant-unique id, 6–32 alphanumeric. purposeM String(64) Memo to payer, 1–64 UTF-8 chars. merchantM Object Wraps merchantId and optional sub-merchant fields. merchantId M String Smilepayz merchantId for this call. merchantName O String UTF-8 merchant display name. subMerchantId O String Sub-merchant ID. subMerchantName O String UTF-8 name for subMerchantId . moneyM Object Currency plus amount for this transaction. currency M String Fixed to THB . amount M Number THB amount as integer per channel rules. paymentMethodM String Code (see Payment methods doc). cashAccountM String(32) Beneficiary bank account number. callbackUrlO String(256) HTTPS async status URL, max 256 chars.
Example Body – Disbursement Request: Header Min Body
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
X-SIGNATURE: 7MHd9v5/m9JeqmDZVwWBZUZ5J5...7120QnFEny7Qm7uQR1G0TWCh10fsU6nVxiRoeoQ==
X-PARTNER-ID: 20001
{
"orderNo" : "2000102900000000000001" ,
"purpose" : "Purpose For Disbursement from Java SDK" ,
"merchant" : {
"merchantId" : "20001"
} ,
"money" : {
"currency" : "THB" ,
"amount" : 200
} ,
"paymentMethod" : "KBANK" ,
"cashAccount" : "17385238451"
}
Responses HTTP Request Field Required Type Description Content-TypeM String application/json request body.X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm
Body Parameters Field Required Type Description codeM String 00 success, other values error.messageM String UTF-8 human-readable result line. orderNoM String Merchant-unique id, 6–32 alphanumeric. tradeNoO String Smilepayz tradeNo for this order. merchantM Object Wraps merchantId and optional sub-merchant fields. merchantId M String Smilepayz merchantId for this call. merchantName O String UTF-8 merchant display name. subMerchantId O String Sub-merchant ID. subMerchantName O String UTF-8 name for subMerchantId . accountNo O String Settlement accountNo if gateway returns it. moneyM Object Currency plus amount for this transaction. currency M String Fixed to THB . amount M Number THB amount as integer per channel rules. disbursementTimeM String Format (yyyy-MM-ddTHH:mm:ss±HH:mm). channelM Object Channel payload (paymentUrl , qrString , …). paymentMethod M String Code (see Payment methods doc). cashAccount M String Beneficiary bank account number. accountName O String Account holder name. statusO String Order or payment status enum value.
Example Body – Disbursement Response: Header Body
Content-type: application/json
X-TIMESTAMP: 2020-12-17T10:55:00+07:00
{
"code" : "00" ,
"message" : "successful" ,
"orderNo" : "2000102900000000000001" ,
"tradeNo" : "20001032432400001" ,
"merchant" : {
"merchantId" : "10002" ,
"merchantName" : "Betty" ,
"accountNo" : "2000124234782342"
} ,
"money" : {
"currency" : "THB" ,
"amount" : 10000
} ,
"disbursementTime" : "2024-12-17T10:55:00" ,
"channel" : {
"paymentMethod" : "KBANK" ,
"cashAccount" : "17385238451" ,
"accountName" : "test"
} ,
"status" : "PROCESSING"
}
Notification/Callback HTTP Request Field Required Type Description Content-TypeM String application/json request body.X-TIMESTAMPM String Format: yyyy-MM-ddTHH:mm:ss±HH:mm X-SIGNATUREM String Callback body signature (see Callback signature guide ).
Body Parameters Field Required Type Description orderNoM String Merchant-unique id, 6–32 alphanumeric. tradeNoM String Smilepayz tradeNo for this order. merchantIdM String Smilepayz merchantId for this call. merchantNameM String UTF-8 merchant display name. subMerchantIdO String Sub-merchant ID. subMerchantNameO String UTF-8 name for subMerchantId . paymentMethodM String Code (see Payment methods doc). transactionTimeM String Format: yyyy-MM-ddTHH:mm:ss moneyM Object Currency plus amount for this transaction. currency M String Fixed to THB . amount M Number THB amount as integer per channel rules. statusM String Order or payment status enum value.
Return Important
Respond with the string SUCCESS only.
Request Response
{
"orderNo" : "0TIn7z0G96HAGV8I734290310" ,
"tradeNo" : "112200012412160218303176" ,
"merchantId" : "20001" ,
"merchantName" : "test" ,
"subMerchantId" : "" ,
"subMerchantName" : "" ,
"paymentMethod" : "KBANK" ,
"transactionTime" : "2024-12-16T02:18:30" ,
"money" : {
"currency" : "THB" ,
"amount" : 1000
} ,
"status" : "SUCCESS"
}
Sebelumnya
Pembayaran masuk (Pay-In · Thailand)